Group: Development/Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-macros-nodejs
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%global shortname doctrine

Name:           nodejs-doctrine
Version:        0.6.4
Release:        alt1_8
Summary:        A JSDoc parser

# README.md states that some functions are 'derived' from esprima (BSD) and
# some 'extensions' are 'derived' from closure-compiler (ASL 2.0)
License:        BSD and ASL 2.0

URL:            https://github.com/Constellation/%{shortname}
Source0:        http://registry.npmjs.org/%{shortname}/-/%{shortname}-%{version}.tgz
BuildArch:      noarch

BuildRequires:  rpm-build-nodejs node-devel

BuildRequires:  npm(should)
BuildRequires:  npm(esutils)
BuildRequires:  npm(isarray)
Source44: import.info

%description
%{shortname} is %{summary}.

%prep
%setup -qn package
%nodejs_fixdep esutils

%build
# Nothing to do


%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{shortname}/
cp -pr package.json lib/ %{buildroot}%{nodejs_sitelib}/%{shortname}

%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check

# Test dep 'describe' is not packaged for Fedora yet
for test in $(ls test/ | grep -v {midstream,parse}.js); do
    node test/${test}
done

%files
%{nodejs_sitelib}/%{shortname}
%doc README.md CONTRIBUTING.md
# LICENSE.BSD and LICENSE.esprima are identical, so only one is included
%doc --no-dereference LICENSE.BSD LICENSE.closure-compiler


%changelog
* Thu Mar 28 2019 Igor Vlasenko <viy@altlinux.ru> 0.6.4-alt1_8
- new version

